﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.16.7/gitea-1.16.7-gogit-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.16.7/gitea-1.16.7-gogit-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'f55ed1f7c6ce080f5bcb202a3418e9384f82419f0760fc36c5a5697244ba6015'
  checksumType  = 'sha256'
  checksum64    = '007eab4bbdbd9ea06ef643d79485e3ebed77088a44a993973b4a85aa17795493'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
